package com.persagy.apm.common.constant.enums;
/***
 * Description: 表ID的前缀枚举类
 * @author : lijie
 * @date :2021/4/1 22:17
 * Update By lijie 2021/4/1 22:17
 */
public enum IdPrefixEnum {
    /**sop表ID的前缀*/
    SOP("SOP","sop表ID的前缀"),
    /**sop_cell表ID的前缀*/
    SOP_CELL("SOPSC","sop_cell表ID的前缀"),
    /**sop_domain_rel表ID的前缀*/
    SOP_DOMAIN_REL("SDRI","sop_domain_rel表ID的前缀"),
    /**sop_tool_rel表ID的前缀*/
    SOP_TOOL_REL("STRI","sop_tool_rel表ID的前缀"),
    /**sop_media_rel表ID的前缀*/
    SOP_MEDIA_REL("SMRI","sop_media_rel表ID的前缀"),
    /**sop_obj_rel表ID的前缀*/
    SOP_OBJ_REL("SOR","sop_obj_rel表ID的前缀"),
    /**sop_equip_model_rel表id的前缀*/
    SOP_EQUIP_MODEL_REL("SEMR","sop_equip_model_rel表ID的前缀"),
    /**sop_order_type_rel表id的前缀*/
    SOP_ORDER_TYPE_REL("SOTR","sop_order_type_rel表ID的前缀"),
    /**sop_label_rel表id的前缀*/
    SOP_LABEL_REL("SLR","sop_label_rel表ID的前缀"),
    /**sop_edit表id的前缀*/
    SOP_EDIT("SE","sop_edit表ID的前缀"),
    /**sop_his表id的前缀*/
    SOP_HIS("SH","sop_his表ID的前缀"),
    /**sop_destroy_msg表id的前缀*/
    SOP_DESTROY_MSG("SDM","sop_destroy_msg表ID的前缀"),
    /**wo_flow_plan表ID的前缀*/
    WO_FLOW_PLAN("FP","wo_flow_plan表ID的前缀");

    IdPrefixEnum(String prefix, String describe) {
        this.prefix = prefix;
        this.describe = describe;
    }

    private String prefix;
    private String describe;

    public String getPrefix() {
        return prefix;
    }

    public void setPrefix(String prefix) {
        this.prefix = prefix;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
