package com.persagy.apm.common.constant.enums;
/***
 * Description: 结果枚举
 * @author : lijie
 * @date :2021/4/2 18:19
 * Update By lijie 2021/4/2 18:19
 */
public enum ResultEnum {
    /**Result*/
    RESULT("Result","结果key"),
    /**success-成功*/
    SUCCESS("success","成功"),
    /**failure-失败*/
    FAILURE("failure","失败"),
    /**ResultMsg-错误消息*/
    RESULT_MSG("ResultMsg","错误消息"),
    /**内容数组*/
    CONTENT("Content","内容数组"),
    /**对象*/
    ITEM("Item","对象"),
    /**总数*/
    COUNT("Count","总数"),
    /**第六代框架接口返回结构*/
    PERSAGY_RESULT("result","PERSAGY_RESULT"),
    /**第六代框架接口返回结构*/
    PERSAGY_REASON("reason","PERSAGY_RESULT"),
    /**第六代框架接口返回结构*/
    PERSAGY_CONTENT("content","PERSAGY_CONTENT");

    ResultEnum(String type, String describe) {
        this.type = type;
        this.describe = describe;
    }

    private String type;
    private String describe;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
