package com.persagy.apm.common.model.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * swagger枚举类注解
 *
 * @author lixing
 * @version V1.0 2021/4/12 10:39 上午
 **/
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface SwaggerDisplayEnum {
    String type() default "type";
    String desc() default "desc";
}
