package com.persagy.apm.common.model.dto;

import com.persagy.apm.common.context.poems.PoemsContext;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Poems上的服务feign调用基础dto类
 *
 * @author lixing
 * @version V1.0 2021/5/19 2:32 下午
 **/
@ApiModel
@Data
public class PoemsFeignBaseDTO {
    @ApiModelProperty(value = "用户信息")
    private PoemsPuser puser;

    public void setDefaultValue() {
        this.puser = new PoemsPuser(
                PoemsContext.getContext().getUserId(),
                PoemsContext.getContext().getLoginDevice(),
                PoemsContext.getContext().getPd()
        );
    }
}
