package com.persagy.apm.common.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 列表排序类
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/13 3:27 下午
 * @version: V1.0
 */
@NoArgsConstructor
@Data
public class Sort {
    @ApiModelProperty(value = "排序字段名称")
    private String column;
    @ApiModelProperty(value = "是否升序排列")
    private boolean asc;

    public Sort(String column, boolean asc) {
        this.column = column;
        this.asc = asc;
    }
}
