package com.persagy.apm.translate.model;

import java.lang.annotation.*;

/**
 * 多个翻译描述集合
 * @author Charlie Yu
 * @Date 2021-03-03
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
@Inherited
public @interface Transes{
    /**
     * 包含的多个翻译结果
     * @return 翻译描述数组
     */
    Trans[] value() default {};
}
