package com.persagy.apm.translate.service;

import com.persagy.apm.translate.model.TransMeta;

import java.util.List;


/**
 * 数据翻译接口
 * @author Charlie Yu
 * @Date 2021-03-03
 */
public interface ITranslateService {
	/**
	 * 翻译数据
	 * @param origion 原始数据
	 * @param metas 翻译元数据
	 * @return 翻译后数据
	 */
	Object translate(Object origion, List<TransMeta> metas);
}
