package com.persagy.apm.common.constant;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

/**
 * Created by guosongchao on 2017/8/9.
 */
public class CommonMessage {
    //过滤-客户信息-列表

    //转换字段格式-sop
    public final static String[] tranfer_json_string_sop = {"operator","domains", "tools", "order_type", "fit_objs", "equip_model_ids", "labels", "steps", "related_data", "version_explain", "ref_sop_ids"};
    //转换字段格式-sop_his
    public final static String[] tranfer_json_string_sop_his = {"operator","domains", "tools", "order_type", "fit_objs", "equip_model_ids", "labels", "steps", "related_data", "version_explain", "ref_sop_ids", "refed_sops"};
    //过滤字段-移除字段-sop详情
    public final static String[] filter_remove_sop = {"sop_type", "valid"};
    //对象分类-对象--去掉临时对象：工具、部件
//    public final static JSONArray object_class_object = JSONArray.parseArray("[{\"obj_type\":\"system_class\", \"obj_type_name\":\"通用系统类\"},{\"obj_type\":\"equip_class\", \"obj_type_name\":\"通用设备类\"},{\"obj_type\":\"build\", \"obj_type_name\":\"建筑体\"},{\"obj_type\":\"floor\", \"obj_type_name\":\"楼层\"},{\"obj_type\":\"space\", \"obj_type_name\":\"空间\"},{\"obj_type\":\"system\", \"obj_type_name\":\"系统\"},{\"obj_type\":\"equip\", \"obj_type_name\":\"设备\"},{\"obj_type\":\"component\", \"obj_type_name\":\"部件\"},{\"obj_type\":\"tool\", \"obj_type_name\":\"工具\"}]");
    public final static JSONArray object_class_object = JSONArray.parseArray("[{\"obj_type\":\"system_class\", \"obj_type_name\":\"通用系统类\"},{\"obj_type\":\"equip_class\", \"obj_type_name\":\"通用设备类\"},{\"obj_type\":\"build\", \"obj_type_name\":\"建筑体\"},{\"obj_type\":\"floor\", \"obj_type_name\":\"楼层\"},{\"obj_type\":\"space\", \"obj_type_name\":\"空间\"},{\"obj_type\":\"system\", \"obj_type_name\":\"系统\"},{\"obj_type\":\"equip\", \"obj_type_name\":\"设备\"}]");
    //对象分类-信息点
    public final static JSONArray object_class_infoPoint = JSONArray.parseArray("[{\"obj_type\":\"system_class\",\"obj_type_name\":\"通用系统类\"},{\"obj_type\":\"equip_class\",\"obj_type_name\":\"通用设备类\"},{\"obj_type\":\"system\",\"obj_type_name\":\"系统\"},{\"obj_type\":\"equip\",\"obj_type_name\":\"设备\"}]");
    //自定义信息点类型与原始组件的映射关系
    public final static JSONObject customTypeInfoPointModeRels = JSONArray.parseObject("{\"default\":\"D1\",\"1\":\"B1\",\"2\":\"D1\",\"3\":\"D2\",\"4\":\"A1\",\"5\":\"A2\"}");

    //sop表字段数组
    public final static String[] table_column_sop = {"operator","sop_id","sop_name","project_id","sop_type","domains", "tools", "order_type", "fit_objs", "equip_model_ids", "labels", "steps", "sop_status","publish_status","related_data","version", "version_count","version_explain", "ref_sop_ids","create_time","update_time","valid","extend_field"};
    //sop历史表字段数组
    public final static String[] table_column_sop_his = {"operator","sop_his_id","sop_id","sop_name","project_id","sop_type","domains", "tools", "order_type", "fit_objs", "equip_model_ids", "labels", "steps", "sop_status","publish_status","related_data","version", "version_count","version_explain", "ref_sop_ids","create_time","update_time","valid","extend_field"};
    //sop编辑表字段数组
    public final static String[] table_column_sop_edit = {"operator","sop_edit_id","sop_id","sop_name","project_id","sop_type","domains", "tools", "order_type", "fit_objs", "equip_model_ids", "labels", "steps", "sop_status","publish_status","related_data","version", "version_count","version_explain", "ref_sop_ids","create_time","update_time","valid","extend_field"};
    //sop引用关系作废消息表字段数组
    public final static String[] table_column_sop_destroy_msg = {"msg_id","sop_id","project_id","ref_sop_id","ref_sop_name","ref_sop_status", "status", "create_time","update_time"};
    //sop待修订消息表字段数组
    public final static String[] table_column_sop_revise_msg = {"msg_id","sop_id","obj_id","obj_name","obj_type","content", "status", "create_time","update_time"};
    //sop与设备型号关系表字段数组
    public final static String[] table_column_sop_equip_model_rel = {"sop_equip_model_id","sop_id","equip_model_id","create_time","update_time","valid"};
    //sop与标签关系表字段数组
    public final static String[] table_column_sop_label_rel = {"sop_label_id","sop_id","label","create_time","update_time","valid"};
    //sop与对象关系表字段数组
    public final static String[] table_column_sop_obj_rel = {"sop_obj_id","sop_id","obj_id","obj_type","create_time","update_time","valid"};
    //sop与工单类型关系表字段数组
    public final static String[] table_column_sop_order_type_rel = {"sop_order_type_id","sop_id","project_id","order_type","create_time","update_time","valid"};
    //sop与sop关系表字段数组
    public final static String[] table_column_sop_sop_rel = {"sop_sop_id","sop_id","project_id","rel_sop_id","create_time","update_time","valid"};

    //自定义信息点控件表字段数组
    public final static String[] table_column_custom_info_point = {"custom_info_point_id","custom_info_point_name","details","create_time","update_time","valid"};

}
