package com.persagy.apm.common.constant.enums;

import com.persagy.apm.common.model.annotation.SwaggerDisplayEnum;

/**
 * @description: 合法标志
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/3/9 2:56 下午
 * @version: V1.0
 */
@SwaggerDisplayEnum
public enum BoolEnum {
    FALSE("0", false),
    TRUE("1", true);

    private String type;
    private Boolean desc;

    BoolEnum(String type, Boolean desc) {
        this.type = type;
        this.desc = desc;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Boolean getDesc() {
        return desc;
    }

    public void setDesc(Boolean desc) {
        this.desc = desc;
    }
}
