package com.persagy.apm.common.model.dto;

import lombok.Data;

import java.util.List;
import java.util.Set;

/**
 * @description: 数据中台查询基础类
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/3/8 11:56 上午
 * @version: V1.0
 **/
@Data
public class DmpBaseQueryDTO<T> {
    /** 分页页码 */
    private Integer page;
    /** 分页大小 */
    private Integer size;
    /** 扩展字段 */
    private Set<String> withColumns;
    /** 排序字段 */
    private List<DmpOrderDTO> orders;
    /** 查询条件 */
    private T criteria;
}