package com.persagy.apm.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NonNull;

import javax.validation.constraints.NotNull;

/**
 * 枚举类查询DTO
 *
 * @author lixing
 * @version V1.0 2021/3/12 6:26 下午
 **/
@Data
@ApiModel
public class EnumQueryDTO {

    @NotNull(message = "枚举类型不能为空")
    @ApiModelProperty("枚举类型")
    private String type;
}
