package com.persagy.apm.common.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.checkerframework.checker.units.qual.K;

/**
 * 枚举vo类
 *
 * @author lixing
 * @version V1.0 2021/3/12 6:24 下午
 **/
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@ApiModel
public class EnumVO {
    @ApiModelProperty(value = "键")
    private String key;
    @ApiModelProperty(value = "值")
    private String value;
}
