package com.persagy.apm.common.response;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: apm的创建和更新结果VO类
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/3/10 11:33 上午
 * @version: V1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ApmResponseUpsertVO {
    @ApiModelProperty("主键")
    private String id;
}
