package com.persagy.apm.translate.model;

/**
 * 翻译对象包装对象
 * @author Charlie Yu
 * @Date 2021-03-03
 */
public interface ITransWrapper {


	/**
	 * 取得属性值
	 * @param name 属性名
	 * @return 属性值
	 */
	Object getValue(String name);

	/**
	 * 设置属性值
	 * @param name   属性名
	 * @param object 属性值
	 */
	void setValue(String name,Object object);

	/**
	 * 取得原始对象
	 * @return 原始对象
	 */
	Object getSource();

	/**
	 * 取得原始对象
	 * @return 原始对象
	 */
	Object getResult();
}
